Bug 823687 - Unable to add metric graphs to user-defined Monitor View page
Unable to add metric graphs to user-defined Monitor View page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
All All
urgent Severity high (vote)
: ---
: JON 3.1.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 821100
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-21 17:40 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 821100
Environment:
Last Closed: 2013-09-03 11:11:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-05-21 17:40:46 EDT
+++ This bug was initially created as a clone of Bug #821100 +++

Description of problem:
Users are able to create custom Monitor View pages for a resource (<resource> -> Monitor -> Graphs) but there is no method to add a metric to the user-defined view. By default, the view contains the default graph layout used by the *Default* monitor view page but there is no way to add new metrics to the custom graph view.

Version-Release number of selected component (if applicable):
RHQ 4.4.0

How reproducible:
Always

Steps to Reproduce:
1.  Select Monitoring > Graphs tab of RHQ Server resource
2.  Select *Create New View* from *Action* drop-down
3.  Enter `My New View` for *Name* and click *OK*
4.  Remove all metrics from graph by clicking on the *X* icon in the top right corner of each individual metric graph
5.  Right-click on RHQ Server resource in left navigation tree
6.  Select *Measurements -> Active Thread Count -> Add Graph to Monitor View
  
Actual results:
Nothing happens. 

If *Active Thread Count* metric graph has been removed from *Default* view, it is added back to the *Default* view but it does not show up on the *My New View* view and there appears to be no option to make that happen.


Expected results:
An option to add *Active Thread Count* metric graph to the *My New View* view.


Additional info:
It appears that there is no UI capability to add a metric/measurement graph to the user-defined view, however, it seems that perhaps *Add Graph to Monitor View* is intended to be contextual. Meaning that if I have the graph view *My New View* selected, the *Add Graph to Monitor View* action should add it to the currently visible view. I am suggested that because if you navigate away from the Monitoring / Graphs view, the *Add Graph to Monitor View* context-menu item goes away.
Comment 1 Charles Crouch 2012-05-21 17:42:56 EDT
Lukas
Can you verify the fix Jiri has here: https://bugzilla.redhat.com/show_bug.cgi?id=821100#c2
And assuming its functional and safe (contained/low risk of regression), please backport to the release/jon3.1.x branch.
Comment 2 Lukas Krejci 2012-05-22 16:07:32 EDT
This has already been pushed to release/jon3.1.x branch:

commit a358e3c9161fffc5ff428dafbfc9d6746ccf55ba
Author: jkremser <jkremser@redhat.com>
Date:   Wed May 16 15:19:13 2012 +0200

    [BZ 821100] Adding new metrics into currently selected view using the user's preferences
    (cherry picked from commit 564ec48b9310a4cdc1b5ed11fe37b28bd7264459)
    
    Conflicts:
    
        modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/inventory/resource/detail/ResourceTreeView.java
Comment 4 bkramer 2012-05-25 04:07:01 EDT
Tested with latest available JON 3.1.0 build (ER5) and it works fine. 

However, I noticed the following (not sure if it's bug or works as designed):

1. go to Default view and add new metric graph there;
2. select "Create New View" from Action drop down list, enter "Another View" for "Name" and click OK;

"Another View" will be created but it won't have added metric graph - it will contain only starting metric graphs that were in the Default view at the beginning.
Comment 5 Larry O'Leary 2012-05-25 10:20:32 EDT
(In reply to comment #4)
> ...
> However, I noticed the following (not sure if it's bug or works as designed):
> 
> 1. go to Default view and add new metric graph there;
> 2. select "Create New View" from Action drop down list, enter "Another View"
> for "Name" and click OK;
> 
> "Another View" will be created but it won't have added metric graph - it
> will contain only starting metric graphs that were in the Default view at
> the beginning.

This is working as designed. The "Default" view in this case does not infer that the view is the base of, or template for, all new views. It merely means that the view is the "out-of-the-box" view and is the one displayed by default.
Comment 6 Heiko W. Rupp 2013-09-03 11:11:39 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.